Bug 185892 - keditbox spell checker selection is off
Summary: keditbox spell checker selection is off
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kspell (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Zack Rusin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-01 18:59 UTC by Nadav Kavalerchik
Modified: 2009-03-10 18:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments
kmail spellchecker problem (14.97 KB, image/png)
2009-03-02 20:46 UTC, Florian E.J. Fruth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nadav Kavalerchik 2009-03-01 18:59:22 UTC
Version:           unknown (using 4.2.00 (KDE 4.2.0), Debian packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.26-1-amd64

anywhere where i right click a misspelled (red marked) word to activate the spell checker, it selects the word to the left of the problematic word and when i choose the right spelled word from the menu list it replaces the wrong word

rendering the tool unusable.
Comment 1 Will Stephenson 2009-03-02 11:07:18 UTC
Which apps do you see this with?
Comment 2 Nadav Kavalerchik 2009-03-02 11:59:18 UTC
digikam , konqueror, kmail...
anywhere i get the speller.

even here, while writing these lines. (if i mayke a mistake)
Comment 3 Florian E.J. Fruth 2009-03-02 20:46:54 UTC
Created attachment 31743 [details]
kmail spellchecker problem

Got the same problem with kmail 1.11.0 (Using KDE 4.2.00 (KDE 4.2.0)) on Debian SID with KDE4/experimental packages. I clicked on the "j" in the screenshot...
Comment 4 Nadav Kavalerchik 2009-03-10 18:39:38 UTC
fixed with kde 4.2.1 and qt 4.5 (debian experimental)